Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVEvaluators

    java.lang.Object
      org.lwjgl.opengl.NVEvaluators

    public final class NVEvaluators

extends java.lang.Object

Field Summary
`static int` | `GL_EVAL_2D_NV`
`static int` | `GL_EVAL_FRACTIONAL_TESSELLATION_NV`
`static int` | `GL_EVAL_TRIANGULAR_2D_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB0_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB1_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB10_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB11_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB12_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB13_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB14_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB15_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB2_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB3_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB4_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB5_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB6_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB7_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB8_NV`
`static int` | `GL_EVAL_VERTEX_ATTRIB9_NV`
`static int` | `GL_MAP_ATTRIB_U_ORDER_NV`
`static int` | `GL_MAP_ATTRIB_V_ORDER_NV`
`static int` | `GL_MAP_TESSELLATION_NV`
`static int` | `GL_MAX_MAP_TESSELLATION_NV`
`static int` | `GL_MAX_RATIONAL_EVAL_ORDER_NV`

Method Summary
`static void` | `glEvalMapsNV(int target, int mode)`
`static void` | `glGetMapAttribParameterNV(int target, int index, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetMapAttribParameterNV(int target, int index, int pname, java.nio.IntBuffer params)`
`static void` | `glGetMapControlPointsNV(int target, int index, int type, int ustride, int vstride, boolean packed, java.nio.FloatBuffer pPoints)`
`static void` | `glGetMapParameterNV(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetMapParameterNV(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glMapControlPointsNV(int target, int index, int type, int ustride, int vstride, int uorder, int vorder, boolean packed, java.nio.FloatBuffer pPoints)`
`static void` | `glMapParameterNV(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glMapParameterNV(int target, int pname, java.nio.IntBuffer params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_EVAL_2D_NV

    public static final int GL_EVAL_2D_NV

See Also:
  Constant Field Values

### GL_EVAL_TRIANGULAR_2D_NV

    public static final int GL_EVAL_TRIANGULAR_2D_NV

See Also:
  Constant Field Values

### GL_MAP_TESSELLATION_NV

    public static final int GL_MAP_TESSELLATION_NV

See Also:
  Constant Field Values

### GL_MAP_ATTRIB_U_ORDER_NV

    public static final int GL_MAP_ATTRIB_U_ORDER_NV

See Also:
  Constant Field Values

### GL_MAP_ATTRIB_V_ORDER_NV

    public static final int GL_MAP_ATTRIB_V_ORDER_NV

See Also:
  Constant Field Values

### GL_EVAL_FRACTIONAL_TESSELLATION_NV

    public static final int GL_EVAL_FRACTIONAL_TESSELLATION_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB0_NV

    public static final int GL_EVAL_VERTEX_ATTRIB0_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB1_NV

    public static final int GL_EVAL_VERTEX_ATTRIB1_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB2_NV

    public static final int GL_EVAL_VERTEX_ATTRIB2_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB3_NV

    public static final int GL_EVAL_VERTEX_ATTRIB3_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB4_NV

    public static final int GL_EVAL_VERTEX_ATTRIB4_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB5_NV

    public static final int GL_EVAL_VERTEX_ATTRIB5_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB6_NV

    public static final int GL_EVAL_VERTEX_ATTRIB6_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB7_NV

    public static final int GL_EVAL_VERTEX_ATTRIB7_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB8_NV

    public static final int GL_EVAL_VERTEX_ATTRIB8_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB9_NV

    public static final int GL_EVAL_VERTEX_ATTRIB9_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB10_NV

    public static final int GL_EVAL_VERTEX_ATTRIB10_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB11_NV

    public static final int GL_EVAL_VERTEX_ATTRIB11_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB12_NV

    public static final int GL_EVAL_VERTEX_ATTRIB12_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB13_NV

    public static final int GL_EVAL_VERTEX_ATTRIB13_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB14_NV

    public static final int GL_EVAL_VERTEX_ATTRIB14_NV

See Also:
  Constant Field Values

### GL_EVAL_VERTEX_ATTRIB15_NV

    public static final int GL_EVAL_VERTEX_ATTRIB15_NV

See Also:
  Constant Field Values

### GL_MAX_MAP_TESSELLATION_NV

    public static final int GL_MAX_MAP_TESSELLATION_NV

See Also:
  Constant Field Values

### GL_MAX_RATIONAL_EVAL_ORDER_NV

    public static final int GL_MAX_RATIONAL_EVAL_ORDER_NV

See Also:
  Constant Field Values

Method Detail

### glGetMapControlPointsNV

    public static void glGetMapControlPointsNV(int target,
                                               int index,
                                               int type,
                                               int ustride,
                                               int vstride,
                                               boolean packed,
                                               java.nio.FloatBuffer pPoints)

### glMapControlPointsNV

    public static void glMapControlPointsNV(int target,
                                            int index,
                                            int type,
                                            int ustride,
                                            int vstride,
                                            int uorder,
                                            int vorder,
                                            boolean packed,
                                            java.nio.FloatBuffer pPoints)

### glMapParameterNV

    public static void glMapParameterNV(int target,
                                        int pname,
                                        java.nio.FloatBuffer params)

### glMapParameterNV

    public static void glMapParameterNV(int target,
                                        int pname,
                                        java.nio.IntBuffer params)

### glGetMapParameterNV

    public static void glGetMapParameterNV(int target,
                                           int pname,
                                           java.nio.FloatBuffer params)

### glGetMapParameterNV

    public static void glGetMapParameterNV(int target,
                                           int pname,
                                           java.nio.IntBuffer params)

### glGetMapAttribParameterNV

    public static void glGetMapAttribParameterNV(int target,
                                                 int index,
                                                 int pname,
                                                 java.nio.FloatBuffer params)

### glGetMapAttribParameterNV

    public static void glGetMapAttribParameterNV(int target,
                                                 int index,
                                                 int pname,
                                                 java.nio.IntBuffer params)

### glEvalMapsNV

    public static void glEvalMapsNV(int target,
                                    int mode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.